One row per product, summed over tracked creators for the range, by GMV
GET
/api/public/v1/tik_tok_shop/productsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopProducts
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/products?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string (date) | required |
| end_date | query | string (date) | required |
| page | query | integer | Default 1 |
| per_page | query | integer | Default 20 |
| search | query | string | |
| campaign_id | query | integer | |
| creator_id | query | integer | |
| platform | query | string | One of growiallnon_growi Default growi |
| organization_id | query | integer | |
| all_contracts | query | string | One of true |
| exclude_contests | query | string | One of true |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| additional_data | object | required |
| additional_data.currency | string, nullable | |
| additional_data.currency_symbol | string | |
| additional_data.total_commission | number | |
| additional_data.total_gmv | number | |
| additional_data.total_items_refunded | integer | |
| additional_data.total_refunded_amount | number | |
| additional_data.total_sku_orders | integer | |
| additional_data.total_units_sold | integer | |
| data | array of object | required |
| data[].[].external_product_id | string | |
| data[].[].id | string | |
| data[].[].latest_date | string, nullable | |
| data[].[].product_image_url | string, nullable | |
| data[].[].product_name | string, nullable | |
| data[].[].sales_creator_count | integer | |
| data[].[].sales_creator_count_formatted | string | |
| data[].[].total_commission | number | |
| data[].[].total_commission_formatted | string | |
| data[].[].total_estimated_flat_fee | number | |
| data[].[].total_estimated_flat_fee_formatted | string | |
| data[].[].total_gmv | number | |
| data[].[].total_gmv_formatted | string | |
| data[].[].total_items_refunded | integer | |
| data[].[].total_items_refunded_formatted | string | |
| data[].[].total_lives | integer | |
| data[].[].total_lives_formatted | string | |
| data[].[].total_refunded_amount | number | |
| data[].[].total_refunded_amount_formatted | string | |
| data[].[].total_samples_shipped | integer | |
| data[].[].total_samples_shipped_formatted | string | |
| data[].[].total_sku_orders | integer | |
| data[].[].total_sku_orders_formatted | string | |
| data[].[].total_units_sold | integer | |
| data[].[].total_units_sold_formatted | string | |
| data[].[].total_videos | integer | |
| data[].[].total_videos_formatted | string | |
| meta | required |
Example
{
"additional_data": {
"currency": "usd",
"currency_symbol": "string",
"total_commission": 125.5,
"total_gmv": 125.5,
"total_items_refunded": 3,
"total_refunded_amount": 125.5,
"total_sku_orders": 3,
"total_units_sold": 3
},
"data": [
{
"external_product_id": "string",
"id": "string",
"latest_date": "2026-11-01",
"product_image_url": "https://example.com/p/1",
"product_name": "Example name",
"sales_creator_count": 3,
"sales_creator_count_formatted": "string",
"total_commission": 125.5,
"total_commission_formatted": "string",
"total_estimated_flat_fee": 125.5,
"total_estimated_flat_fee_formatted": "string",
"total_gmv": 125.5,
"total_gmv_formatted": "string",
"total_items_refunded": 3,
"total_items_refunded_formatted": "string",
"total_lives": 3,
"total_lives_formatted": "string",
"total_refunded_amount": 125.5,
"total_refunded_amount_formatted": "string",
"total_samples_shipped": 3,
"total_samples_shipped_formatted": "string",
"total_sku_orders": 3,
"total_sku_orders_formatted": "string",
"total_units_sold": 3,
"total_units_sold_formatted": "string",
"total_videos": 3,
"total_videos_formatted": "string"
}
],
"meta": {
"current_page": 1,
"next_page": 1,
"prev_page": 1,
"row_count": 3,
"total_pages": 1,
"page_size": 1
}
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.